Subject: bug#38437: Cantarell Oblique fonts fail to render in some Gnome applications

From: Leo Prikler <[email-masked]>
Date: Sat, 30 Nov 2019 20:10:30 +0100

> Some Gnome applications (Claws Mail and Glade in my case) show
> rectangles in place of characters. Screenshot of this is attached.
> Terminal logs in these cases show for example:
> 
> (claws-mail:14616): Pango-WARNING **: 12:31:34.945: shaping failure,
> expect ugly output. shape-engine='PangoFcShapeEngine',
> font='Cantarell
> Oblique 11', text='Personal'
> 
> I've tried manually installing 'font-abattis-cantarell' into my
> profile, which did not solve this problem.
Have you tried refreshing your fontconfig cache (i.e. the system cache
in /var/cache/fontconfig)?  I encountered similar issues a while ago
with System Monitor and Tweaks (and so did others, who also reported
the bug), and it seemed to be caused by a stale cache.  IIRC you don't
need to install Cantarell as user, but you may still do so if you wish.

Regards,
Leo